<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReactElement](./bitburner.reactelement.md)

## ReactElement interface

A stand-in for the real React.ReactElement. Use React.createElement to make these. See [creating an element without jsx](https://react.dev/reference/react/createElement#creating-an-element-without-jsx) from the official React documentation.

**Signature:**

```typescript
interface ReactElement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [key](./bitburner.reactelement.key.md) |  | string \| number \| null |  |
|  [props](./bitburner.reactelement.props.md) |  | any |  |
|  [type](./bitburner.reactelement.type.md) |  | string \| ((props: any) =&gt; [ReactElement](./bitburner.reactelement.md) \| null) \| (new (props: any) =&gt; object) |  |

